/[tivodecode]/t2sami/trunk/Makefile.in
ViewVC logotype

Contents of /t2sami/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 257 - (hide annotations) (download)
Tue Dec 27 08:17:02 2011 UTC (10 years, 6 months ago) by jeremyd2019
File size: 20641 byte(s)
update for boost_filesystem api version 3.
1 jeremyd2019 257 # Makefile.in generated by automake 1.10.3 from Makefile.am.
2 jeremyd2019 198 # @configure_input@
3    
4     # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 jeremyd2019 257 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6     # Inc.
7 jeremyd2019 198 # This Makefile.in is free software; the Free Software Foundation
8     # gives unlimited permission to copy and/or distribute it,
9     # with or without modifications, as long as this notice is preserved.
10    
11     # This program is distributed in the hope that it will be useful,
12     # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13     # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14     # PARTICULAR PURPOSE.
15    
16     @SET_MAKE@
17    
18     VPATH = @srcdir@
19     pkgdatadir = $(datadir)/@PACKAGE@
20     pkglibdir = $(libdir)/@PACKAGE@
21     pkgincludedir = $(includedir)/@PACKAGE@
22     am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23     install_sh_DATA = $(install_sh) -c -m 644
24     install_sh_PROGRAM = $(install_sh) -c
25     install_sh_SCRIPT = $(install_sh) -c
26     INSTALL_HEADER = $(INSTALL_DATA)
27     transform = $(program_transform_name)
28     NORMAL_INSTALL = :
29     PRE_INSTALL = :
30     POST_INSTALL = :
31     NORMAL_UNINSTALL = :
32     PRE_UNINSTALL = :
33     POST_UNINSTALL = :
34     bin_PROGRAMS = t2sami$(EXEEXT)
35     subdir = .
36     DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
37     $(srcdir)/Makefile.in $(srcdir)/config.h.in \
38     $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
39     depcomp fseeko.c getopt.c getopt_long.c install-sh missing
40     ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41     am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
42     $(top_srcdir)/m4/ax_boost_filesystem.m4 \
43     $(top_srcdir)/m4/c-compiler.m4 $(top_srcdir)/m4/general.m4 \
44     $(top_srcdir)/configure.in
45     am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46     $(ACLOCAL_M4)
47     am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48     configure.lineno config.status.lineno
49     mkinstalldirs = $(install_sh) -d
50     CONFIG_HEADER = config.h
51     CONFIG_CLEAN_FILES =
52     am__installdirs = "$(DESTDIR)$(bindir)"
53     binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
54     PROGRAMS = $(bin_PROGRAMS)
55     am_t2sami_OBJECTS = TScan.$(OBJEXT) PS.$(OBJEXT) CC.$(OBJEXT) \
56     Bit.$(OBJEXT) Utility.$(OBJEXT) t2samiapp.$(OBJEXT) \
57     happyfile.$(OBJEXT)
58     t2sami_OBJECTS = $(am_t2sami_OBJECTS)
59     am__DEPENDENCIES_1 =
60     t2sami_DEPENDENCIES = $(LIBOBJS) $(am__DEPENDENCIES_1)
61     DEFAULT_INCLUDES = -I.@am__isrc@
62     depcomp = $(SHELL) $(top_srcdir)/depcomp
63     am__depfiles_maybe = depfiles
64     COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
65     $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
66     CCLD = $(CC)
67     LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
68     CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
69     $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
70     CXXLD = $(CXX)
71     CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
72     -o $@
73     SOURCES = $(t2sami_SOURCES)
74     DIST_SOURCES = $(t2sami_SOURCES)
75     ETAGS = etags
76     CTAGS = ctags
77     DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78     distdir = $(PACKAGE)-$(VERSION)
79     top_distdir = $(distdir)
80     am__remove_distdir = \
81     { test ! -d $(distdir) \
82     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
83     && rm -fr $(distdir); }; }
84     DIST_ARCHIVES = $(distdir).tar.gz
85     GZIP_ENV = --best
86     distuninstallcheck_listfiles = find . -type f -print
87     distcleancheck_listfiles = find . -type f -print
88     ACLOCAL = @ACLOCAL@
89     AMTAR = @AMTAR@
90     AUTOCONF = @AUTOCONF@
91     AUTOHEADER = @AUTOHEADER@
92     AUTOMAKE = @AUTOMAKE@
93     AWK = @AWK@
94     BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
95     BOOST_FILESYSTEM_LIB = @BOOST_FILESYSTEM_LIB@
96     BOOST_LDFLAGS = @BOOST_LDFLAGS@
97     CC = @CC@
98     CCDEPMODE = @CCDEPMODE@
99     CFLAGS = @CFLAGS@
100     CPP = @CPP@
101     CPPFLAGS = @CPPFLAGS@
102     CXX = @CXX@
103     CXXDEPMODE = @CXXDEPMODE@
104     CXXFLAGS = @CXXFLAGS@
105     CYGPATH_W = @CYGPATH_W@
106     DEFS = @DEFS@
107     DEPDIR = @DEPDIR@
108     DOXYGEN = @DOXYGEN@
109     ECHO_C = @ECHO_C@
110     ECHO_N = @ECHO_N@
111     ECHO_T = @ECHO_T@
112     EGREP = @EGREP@
113     EXEEXT = @EXEEXT@
114     GREP = @GREP@
115     INSTALL = @INSTALL@
116     INSTALL_DATA = @INSTALL_DATA@
117     INSTALL_PROGRAM = @INSTALL_PROGRAM@
118     INSTALL_SCRIPT = @INSTALL_SCRIPT@
119     INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
120     LDFLAGS = @LDFLAGS@
121     LIBOBJS = @LIBOBJS@
122     LIBS = @LIBS@
123     LTLIBOBJS = @LTLIBOBJS@
124     MAINT = @MAINT@
125     MAKEINFO = @MAKEINFO@
126     MKDIR_P = @MKDIR_P@
127     OBJEXT = @OBJEXT@
128     PACKAGE = @PACKAGE@
129     PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130     PACKAGE_NAME = @PACKAGE_NAME@
131     PACKAGE_STRING = @PACKAGE_STRING@
132     PACKAGE_TARNAME = @PACKAGE_TARNAME@
133 jeremyd2019 257 PACKAGE_URL = @PACKAGE_URL@
134 jeremyd2019 198 PACKAGE_VERSION = @PACKAGE_VERSION@
135     PATH_SEPARATOR = @PATH_SEPARATOR@
136     RANLIB = @RANLIB@
137     SET_MAKE = @SET_MAKE@
138     SHELL = @SHELL@
139     STRIP = @STRIP@
140     VERSION = @VERSION@
141     abs_builddir = @abs_builddir@
142     abs_srcdir = @abs_srcdir@
143     abs_top_builddir = @abs_top_builddir@
144     abs_top_srcdir = @abs_top_srcdir@
145     ac_ct_CC = @ac_ct_CC@
146     ac_ct_CXX = @ac_ct_CXX@
147     am__include = @am__include@
148     am__leading_dot = @am__leading_dot@
149     am__quote = @am__quote@
150     am__tar = @am__tar@
151     am__untar = @am__untar@
152     bindir = @bindir@
153     build_alias = @build_alias@
154     builddir = @builddir@
155     datadir = @datadir@
156     datarootdir = @datarootdir@
157     docdir = @docdir@
158     dvidir = @dvidir@
159     exec_prefix = @exec_prefix@
160     host_alias = @host_alias@
161     htmldir = @htmldir@
162     includedir = @includedir@
163     infodir = @infodir@
164     install_sh = @install_sh@
165     libdir = @libdir@
166     libexecdir = @libexecdir@
167     localedir = @localedir@
168     localstatedir = @localstatedir@
169     mandir = @mandir@
170     mkdir_p = @mkdir_p@
171     oldincludedir = @oldincludedir@
172     pdfdir = @pdfdir@
173     prefix = @prefix@
174     program_transform_name = @program_transform_name@
175     psdir = @psdir@
176     sbindir = @sbindir@
177     sharedstatedir = @sharedstatedir@
178     srcdir = @srcdir@
179     sysconfdir = @sysconfdir@
180     target_alias = @target_alias@
181 jeremyd2019 257 top_build_prefix = @top_build_prefix@
182 jeremyd2019 198 top_builddir = @top_builddir@
183     top_srcdir = @top_srcdir@
184     ACLOCAL_AMFLAGS = -I m4
185     AM_LDFLAGS = $(BOOST_LDFLAGS)
186     AM_CXXFLAGS = $(BOOST_CPPFLAGS)
187 jeremyd2019 202 t2sami_SOURCES = TScan.cpp PS.cpp CC.cpp Bit.cpp Utility.cpp t2samiapp.cpp happyfile.c Bit.h CC.h PS.h TScan.h Utility.h fseeko.h getopt_long.h happyfile.h
188 jeremyd2019 198 t2sami_LDADD = $(LIBOBJS) $(BOOST_FILESYSTEM_LIB)
189 jeremyd2019 205 EXTRA_DIST = Doxyfile config.h.win32 t2sami.rules t2sami.sln t2sami.vcproj
190 jeremyd2019 198 all: config.h
191     $(MAKE) $(AM_MAKEFLAGS) all-am
192    
193     .SUFFIXES:
194     .SUFFIXES: .c .cpp .o .obj
195     am--refresh:
196     @:
197     $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
198     @for dep in $?; do \
199     case '$(am__configure_deps)' in \
200     *$$dep*) \
201     echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
202     cd $(srcdir) && $(AUTOMAKE) --gnu \
203     && exit 0; \
204     exit 1;; \
205     esac; \
206     done; \
207     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
208     cd $(top_srcdir) && \
209     $(AUTOMAKE) --gnu Makefile
210     .PRECIOUS: Makefile
211     Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
212     @case '$?' in \
213     *config.status*) \
214     echo ' $(SHELL) ./config.status'; \
215     $(SHELL) ./config.status;; \
216     *) \
217     echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
218     cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
219     esac;
220    
221     $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
222     $(SHELL) ./config.status --recheck
223    
224     $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
225     cd $(srcdir) && $(AUTOCONF)
226     $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
227     cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
228    
229     config.h: stamp-h1
230     @if test ! -f $@; then \
231     rm -f stamp-h1; \
232     $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
233     else :; fi
234    
235     stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
236     @rm -f stamp-h1
237     cd $(top_builddir) && $(SHELL) ./config.status config.h
238     $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
239     cd $(top_srcdir) && $(AUTOHEADER)
240     rm -f stamp-h1
241     touch $@
242    
243     distclean-hdr:
244     -rm -f config.h stamp-h1
245     install-binPROGRAMS: $(bin_PROGRAMS)
246     @$(NORMAL_INSTALL)
247     test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
248     @list='$(bin_PROGRAMS)'; for p in $$list; do \
249     p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
250     if test -f $$p \
251     ; then \
252     f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
253     echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
254     $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
255     else :; fi; \
256     done
257    
258     uninstall-binPROGRAMS:
259     @$(NORMAL_UNINSTALL)
260     @list='$(bin_PROGRAMS)'; for p in $$list; do \
261     f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
262     echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
263     rm -f "$(DESTDIR)$(bindir)/$$f"; \
264     done
265    
266     clean-binPROGRAMS:
267     -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
268     t2sami$(EXEEXT): $(t2sami_OBJECTS) $(t2sami_DEPENDENCIES)
269     @rm -f t2sami$(EXEEXT)
270     $(CXXLINK) $(t2sami_OBJECTS) $(t2sami_LDADD) $(LIBS)
271    
272     mostlyclean-compile:
273     -rm -f *.$(OBJEXT)
274    
275     distclean-compile:
276     -rm -f *.tab.c
277    
278     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fseeko.Po@am__quote@
279     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
280     @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt_long.Po@am__quote@
281     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Bit.Po@am__quote@
282     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CC.Po@am__quote@
283     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PS.Po@am__quote@
284     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TScan.Po@am__quote@
285     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Utility.Po@am__quote@
286     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/happyfile.Po@am__quote@
287     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t2samiapp.Po@am__quote@
288    
289     .c.o:
290     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
291     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
292     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
293     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
294     @am__fastdepCC_FALSE@ $(COMPILE) -c $<
295    
296     .c.obj:
297     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
298     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
299     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
300     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
301     @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
302    
303     .cpp.o:
304     @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
305     @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
306     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
307     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
308     @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
309    
310     .cpp.obj:
311     @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
312     @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
313     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
314     @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
315     @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
316    
317     ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
318     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
319     unique=`for i in $$list; do \
320     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321     done | \
322 jeremyd2019 257 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
323     END { if (nonempty) { for (i in files) print i; }; }'`; \
324 jeremyd2019 198 mkid -fID $$unique
325     tags: TAGS
326    
327     TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
328     $(TAGS_FILES) $(LISP)
329     tags=; \
330     here=`pwd`; \
331     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
332     unique=`for i in $$list; do \
333     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
334     done | \
335 jeremyd2019 257 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
336     END { if (nonempty) { for (i in files) print i; }; }'`; \
337 jeremyd2019 198 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
338     test -n "$$unique" || unique=$$empty_fix; \
339     $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
340     $$tags $$unique; \
341     fi
342     ctags: CTAGS
343     CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
344     $(TAGS_FILES) $(LISP)
345     tags=; \
346     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
347     unique=`for i in $$list; do \
348     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349     done | \
350 jeremyd2019 257 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
351     END { if (nonempty) { for (i in files) print i; }; }'`; \
352 jeremyd2019 198 test -z "$(CTAGS_ARGS)$$tags$$unique" \
353     || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
354     $$tags $$unique
355    
356     GTAGS:
357     here=`$(am__cd) $(top_builddir) && pwd` \
358     && cd $(top_srcdir) \
359     && gtags -i $(GTAGS_ARGS) $$here
360    
361     distclean-tags:
362     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
363    
364     distdir: $(DISTFILES)
365     $(am__remove_distdir)
366     test -d $(distdir) || mkdir $(distdir)
367     @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
368     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
369     list='$(DISTFILES)'; \
370     dist_files=`for file in $$list; do echo $$file; done | \
371     sed -e "s|^$$srcdirstrip/||;t" \
372     -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
373     case $$dist_files in \
374     */*) $(MKDIR_P) `echo "$$dist_files" | \
375     sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
376     sort -u` ;; \
377     esac; \
378     for file in $$dist_files; do \
379     if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
380     if test -d $$d/$$file; then \
381     dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
382     if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
383     cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
384     fi; \
385     cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
386     else \
387     test -f $(distdir)/$$file \
388     || cp -p $$d/$$file $(distdir)/$$file \
389     || exit 1; \
390     fi; \
391     done
392 jeremyd2019 257 -find "$(distdir)" -type d ! -perm -755 \
393     -exec chmod u+rwx,go+rx {} \; -o \
394 jeremyd2019 198 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
395     ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
396     ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
397     || chmod -R a+r $(distdir)
398     dist-gzip: distdir
399     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
400     $(am__remove_distdir)
401    
402     dist-bzip2: distdir
403     tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
404     $(am__remove_distdir)
405    
406 jeremyd2019 257 dist-lzma: distdir
407     tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
408     $(am__remove_distdir)
409    
410 jeremyd2019 198 dist-tarZ: distdir
411     tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
412     $(am__remove_distdir)
413    
414     dist-shar: distdir
415     shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
416     $(am__remove_distdir)
417    
418     dist-zip: distdir
419     -rm -f $(distdir).zip
420     zip -rq $(distdir).zip $(distdir)
421     $(am__remove_distdir)
422    
423     dist dist-all: distdir
424     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
425     $(am__remove_distdir)
426    
427     # This target untars the dist file and tries a VPATH configuration. Then
428     # it guarantees that the distribution is self-contained by making another
429     # tarfile.
430     distcheck: dist
431     case '$(DIST_ARCHIVES)' in \
432     *.tar.gz*) \
433     GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
434     *.tar.bz2*) \
435     bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
436 jeremyd2019 257 *.tar.lzma*) \
437     unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
438 jeremyd2019 198 *.tar.Z*) \
439     uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
440     *.shar.gz*) \
441     GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
442     *.zip*) \
443     unzip $(distdir).zip ;;\
444     esac
445     chmod -R a-w $(distdir); chmod a+w $(distdir)
446     mkdir $(distdir)/_build
447     mkdir $(distdir)/_inst
448     chmod a-w $(distdir)
449     dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
450     && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
451     && cd $(distdir)/_build \
452     && ../configure --srcdir=.. --prefix="$$dc_install_base" \
453     $(DISTCHECK_CONFIGURE_FLAGS) \
454     && $(MAKE) $(AM_MAKEFLAGS) \
455     && $(MAKE) $(AM_MAKEFLAGS) dvi \
456     && $(MAKE) $(AM_MAKEFLAGS) check \
457     && $(MAKE) $(AM_MAKEFLAGS) install \
458     && $(MAKE) $(AM_MAKEFLAGS) installcheck \
459     && $(MAKE) $(AM_MAKEFLAGS) uninstall \
460     && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
461     distuninstallcheck \
462     && chmod -R a-w "$$dc_install_base" \
463     && ({ \
464     (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
465     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
466     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
467     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
468     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
469     } || { rm -rf "$$dc_destdir"; exit 1; }) \
470     && rm -rf "$$dc_destdir" \
471     && $(MAKE) $(AM_MAKEFLAGS) dist \
472     && rm -rf $(DIST_ARCHIVES) \
473     && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
474     $(am__remove_distdir)
475     @(echo "$(distdir) archives ready for distribution: "; \
476     list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
477     sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
478     distuninstallcheck:
479     @cd $(distuninstallcheck_dir) \
480     && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
481     || { echo "ERROR: files left after uninstall:" ; \
482     if test -n "$(DESTDIR)"; then \
483     echo " (check DESTDIR support)"; \
484     fi ; \
485     $(distuninstallcheck_listfiles) ; \
486     exit 1; } >&2
487     distcleancheck: distclean
488     @if test '$(srcdir)' = . ; then \
489     echo "ERROR: distcleancheck can only run from a VPATH build" ; \
490     exit 1 ; \
491     fi
492     @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
493     || { echo "ERROR: files left in build directory after distclean:" ; \
494     $(distcleancheck_listfiles) ; \
495     exit 1; } >&2
496     check-am: all-am
497     check: check-am
498     all-am: Makefile $(PROGRAMS) config.h
499     installdirs:
500     for dir in "$(DESTDIR)$(bindir)"; do \
501     test -z "$$dir" || $(MKDIR_P) "$$dir"; \
502     done
503     install: install-am
504     install-exec: install-exec-am
505     install-data: install-data-am
506     uninstall: uninstall-am
507    
508     install-am: all-am
509     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
510    
511     installcheck: installcheck-am
512     install-strip:
513     $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
514     install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
515     `test -z '$(STRIP)' || \
516     echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
517     mostlyclean-generic:
518    
519     clean-generic:
520    
521     distclean-generic:
522     -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
523    
524     maintainer-clean-generic:
525     @echo "This command is intended for maintainers to use"
526     @echo "it deletes files that may require special tools to rebuild."
527     clean: clean-am
528    
529     clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
530    
531     distclean: distclean-am
532     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
533     -rm -rf $(DEPDIR) ./$(DEPDIR)
534     -rm -f Makefile
535     distclean-am: clean-am distclean-compile distclean-generic \
536     distclean-hdr distclean-tags
537    
538     dvi: dvi-am
539    
540     dvi-am:
541    
542     html: html-am
543    
544 jeremyd2019 257 html-am:
545    
546 jeremyd2019 198 info: info-am
547    
548     info-am:
549    
550     install-data-am:
551    
552     install-dvi: install-dvi-am
553    
554 jeremyd2019 257 install-dvi-am:
555    
556 jeremyd2019 198 install-exec-am: install-binPROGRAMS
557    
558     install-html: install-html-am
559    
560 jeremyd2019 257 install-html-am:
561    
562 jeremyd2019 198 install-info: install-info-am
563    
564 jeremyd2019 257 install-info-am:
565    
566 jeremyd2019 198 install-man:
567    
568     install-pdf: install-pdf-am
569    
570 jeremyd2019 257 install-pdf-am:
571    
572 jeremyd2019 198 install-ps: install-ps-am
573    
574 jeremyd2019 257 install-ps-am:
575    
576 jeremyd2019 198 installcheck-am:
577    
578     maintainer-clean: maintainer-clean-am
579     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
580     -rm -rf $(top_srcdir)/autom4te.cache
581     -rm -rf $(DEPDIR) ./$(DEPDIR)
582     -rm -f Makefile
583     maintainer-clean-am: distclean-am maintainer-clean-generic
584    
585     mostlyclean: mostlyclean-am
586    
587     mostlyclean-am: mostlyclean-compile mostlyclean-generic
588    
589     pdf: pdf-am
590    
591     pdf-am:
592    
593     ps: ps-am
594    
595     ps-am:
596    
597     uninstall-am: uninstall-binPROGRAMS
598    
599     .MAKE: install-am install-strip
600    
601     .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
602     clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
603 jeremyd2019 257 dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
604     distclean distclean-compile distclean-generic distclean-hdr \
605 jeremyd2019 198 distclean-tags distcleancheck distdir distuninstallcheck dvi \
606     dvi-am html html-am info info-am install install-am \
607     install-binPROGRAMS install-data install-data-am install-dvi \
608     install-dvi-am install-exec install-exec-am install-html \
609     install-html-am install-info install-info-am install-man \
610     install-pdf install-pdf-am install-ps install-ps-am \
611     install-strip installcheck installcheck-am installdirs \
612     maintainer-clean maintainer-clean-generic mostlyclean \
613     mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
614     tags uninstall uninstall-am uninstall-binPROGRAMS
615    
616    
617     doxygen: Doxyfile $(HEADERS) $(SOURCES) config.h.in
618     $(DOXYGEN) Doxyfile
619     # Tell versions [3.59,3.63) of GNU make to not export all variables.
620     # Otherwise a system limit (for SysV at least) may be exceeded.
621     .NOEXPORT:

cvs@jdrake.com
ViewVC Help
Powered by ViewVC 1.1.13